# $Revision: 1.54 $, $Date: 2008/09/19 13:12:21 $
Summary:	HTTP library of common code
Summary(pl.UTF-8):	Biblioteka wspólnego kodu HTTP
Summary(pt_BR.UTF-8):	Biblioteca HTTP de uso geral
Summary(ru.UTF-8):	HTTP-библиотека общеупотребительного кода
Summary(uk.UTF-8):	HTTP-бібліотека загальновживаного коду
Name:		w3c-libwww
Version:	5.4.0
Release:	11
License:	W3C (see: http://www.w3.org/Consortium/Legal/copyright-software.html)
Group:		Libraries
Source0:	http://www.w3.org/Library/Distribution/%{name}-%{version}.tgz
# Source0-md5:	c3734ca6caa405707e134cc8c6d7e422
Patch0:		%{name}-ac25x.patch
Patch1:		%{name}-am15.patch
Patch2:		%{name}-system-expat.patch
Patch3:		%{name}-amfix.patch
Patch4:		%{name}-link.patch
Patch5:		%{name}-system-libmd5.patch
Patch6:		%{name}-ssl.patch
URL:		http://www.w3.org/Library/
BuildRequires:	autoconf
BuildRequires:	automake
BuildRequires:	expat-devel
BuildRequires:	libtool
BuildRequires:	libmd5-devel >= 20020413-2
BuildRequires:	openssl-devel >= 0.9.7d
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Libwww is a general-purpose Web API written in C for Unix and Windows
(Win32). With a highly extensible and layered API, it can accommodate
many different types of applications including clients, robots, etc.
The purpose of libwww is to provide a highly optimized HTTP sample
implementation as well as other Internet protocols and to serve as a
testbed for protocol experiments.

%description -l pl.UTF-8
Libwww jest biblioteką WWW ogólnego przeznaczenia napisaną w C dla
Uniksów oraz Windows. Z wysoko rozszerzalnym i warstwowym API, może
mieć zastosowanie w wielu rodzajach aplikacji, w tym klientach,
robotach itp. Celem libwww jest dostarczenie dobrze zoptymalizowanej,
przykładowej implementacji HTTP, a także innych protokołów
internetowych, oraz środowiska testowego do eksperymentów z
protokołami.

%description -l pt_BR.UTF-8
A libwww é uma API web de propósito geral escrita em C para Unix e
Windows (Win32). Possui uma API altamente extensível e em camadas e
pode acomodar muitos tipos diferentes de aplicações, incluindo
clientes, robôs, etc. O propósito da libwww é fornecer uma
implementação HTTP exemplo altamente otimizada para servidor como um
ambiente de testes para experimentações com protocolos.

%description -l ru.UTF-8
Libwww - это Web API общего назначения, написанные на C для Unix и
Windows (Win32). Имея расширяемые многоуровневые API, она пригодна для
построения множества различных типов приложений включая клиентов,
роботов etc. Libwww является примером высокооптимизированной
реализации HTTP и других Интернет-протоколов и тестовой средой для
экспериментов с протоколами.

%description -l uk.UTF-8
Libwww - це Web API загального призначення, написані на C для Unix та
Windows (Win32). Маючи розширювані багаторівневі API, вона придатна
для побудови великої кількості різних різних типів прикладних програм
включаючи клієнтів, роботів etc. Libwww є прикладом
високооптимізованої реалізації HTTP та інших Інтернет-протоколів та
тестовим середовищем для експериментів з протоколами.

%package devel
Summary:	Header files for programs that use libwww
Summary(pl.UTF-8):	Pliki nagłówkowe dla programów używających libwww
Summary(pt_BR.UTF-8):	Arquivos necessários para desenvolvimento com a libwww
Summary(ru.UTF-8):	Библиотеки и хедеры для программ, которые используют libwww
Summary(uk.UTF-8):	Бібліотеки та хедери для програм, що використовують libwww
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	expat-devel
Requires:	openssl-devel >= 0.9.7c
Requires:	zlib-devel

%description devel
Header files for libwww, which are available as public libraries.

%description devel -l pl.UTF-8
Pliki nagłówkowe dla libwww.

%description devel -l pt_BR.UTF-8
Bibliotecas e arquivos de inclusão para desenvolvimento baseado na
libwww, que está disponível ao público.

%description devel -l ru.UTF-8
Библиотеки разработчика и хедеры для libwww.

%description devel -l uk.UTF-8
Бібліотеки програміста та хедери для libwww.

%package static
Summary:	Static libwww libraries
Summary(pl.UTF-8):	Statyczne biblioteki libwww
Summary(pt_BR.UTF-8):	Bibliotecas estáticas para desenvolvimento com w3c-libwww
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static libwww libraries.

%description static -l pl.UTF-8
Statyczne biblioteki libwww.

%description static -l pt_BR.UTF-8
Bibliotecas estáticas para desenvolvimento com w3c-libwww

%package apps
Summary:	Applications built using Libwww web library: e.g. Robot, command line tool, etc
Summary(pl.UTF-8):	Aplikacje używające Libwww: Robot, narzędzie command-line itp
Summary(pt_BR.UTF-8):	Aplicativos construídos usando a libwww
Summary(ru.UTF-8):	Приложения с использованием Libwww - робот, утилита командной строки и т.п.
Summary(uk.UTF-8):	Програми з використанням Libwww - робот, утиліта командного рядка і т.і.
Group:		Applications/Networking
Requires:	%{name} = %{version}-%{release}

%description apps
Web applications built using Libwww: Robot, Command line tool, line
mode browser. The Robot can crawl web sites faster, and with lower
load, than any other web walker that we know of, due to its extensive
pipelining and use of HTTP/1.1. The command line tool (w3c) is very
useful for manipulation of Web sites that implement more than just
HTTP GET (e.g. PUT, POST, etc.). The line mode browser is a minimal
line mode web browser; often useful to convert to ascii text.
Currently unavailable until someone updates it to some new interfaces.
(hint, hint...)

%description apps -l pl.UTF-8
Aplikacje sieciowe zbudowane przy użyciu libwww: Robot, narzędzie
comman-line, liniowa przeglądarka. Robot może przechodzić po stronach
szybciej i z mniejszym obciążeniem niż inne znane roboty, dzięki
wykorzystywaniu pipeliningu i HTTP/1.1. Narzędzie command-line (w3c)
jest użyteczne do manipulowania serwisami WWW, które mają
zaimplementowane coś więcej niż HTTP GET (np. PUT, POST...).
Przeglądarka liniowa jest użyteczna głównie do konwersji do zwykłego
tekstu. Aktualnie niedostępna dopóki ktoś nie przystosuje jej do
nowego interfejsu (hint, hint...).

%description apps -l pt_BR.UTF-8
Aplicativos WEB utilizando a libwww: Robot, Ferramenta de execução de
linha de comando, navegação por linha de comando. Robot pode navegar
rapidamente e com baixa carga no sistema.

A Ferramenta de execução de linha de comando (w3c) é muito útil para
manipulação de sítios Web que implementam mais do que um HTTP GET (por
exemplo, PUT, POST, etc.)

%description apps -l ru.UTF-8
Web-приложения, построенные с использованием Libwww - робот, утилита
командной строки, строчный браузер. Робот может бродить по web-сайтам
быстрее и с меньшей нагрузкой чем любая другая известная нам бродилка
из-за исключительной конвейеризации и использования HTTP/1.1.

Утилита командной строки (w3c) очень полезна для работы с web-сайтами,
которые реализуют больше команд чем просто HTTP GET (например, PUT,
POST, etc.).

Строчный браузер - это минимальный web-браузер, работающий в командном
режиме. Часто полезен для преобразования в текстовый формат.

%description apps -l uk.UTF-8
Web-програми, побудовані з використанням Libwww - робот, утиліта
командної стрічки, командний браузер. Робот може ходити по web-сайтах
швидше та з меншим завантаженням ніж будь-яка відома нам ходилка
завдяки виключній конвейєризації та використанню HTTP/1.1.

Утиліта командного рядка (w3c) дуже корисна для роботи з web-сайтами,
які реалізують більше команд ніж просто HTTP GET (наприклад, PUT,
POST, etc.).

Командний браузер - це мінімальний web-браузер, що працює в командному
режимі. Часто корисний для перетворення у текстовий формат.

%prep
%setup -q
%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1
%patch6 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__automake}
%configure \
	ac_cv_lib_rx_regexec=no \
	--enable-shared \
	--with-dav \
	--with-gnu-ld \
	--with-md5 \
	--with-regex \
	--with-ssl \
	--with-zlib
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun -p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc COPYRIGHT.html ChangeLog LICENSE.html
%attr(755,root,root) %{_libdir}/libwww*.so.*.*.*
%ghost %attr(755,root,root) %{_libdir}/libwww*.so.0
%attr(755,root,root) %{_libdir}/libpics.so.*.*.*
%ghost %attr(755,root,root) %{_libdir}/libpics.so.0
%{_datadir}/w3c-libwww

%files apps
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/webbot
%attr(755,root,root) %{_bindir}/w3c
%attr(755,root,root) %{_bindir}/www

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/libwww-config
%attr(755,root,root) %{_libdir}/libwww*.so
%attr(755,root,root) %{_libdir}/libpics.so
%{_libdir}/libwww*.la
%{_libdir}/libpics.la
%{_includedir}/wwwconf.h
%{_includedir}/w3c-libwww

%files static
%defattr(644,root,root,755)
%{_libdir}/libwww*.a
%{_libdir}/libpics.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: w3c-libwww.spec,v $
Revision 1.54  2008/09/19 13:12:21  pluto
- put @LWWWSSL@ in `libwww-config --libs` and fix xmlrpc-client unresolved HTSSL* symbols.
- release 11.

Revision 1.53  2008/09/18 14:56:32  pluto
- release 10 for rebuild with new libmd5 soname.

Revision 1.52  2008/09/17 21:10:18  qboosh
- updated system-libmd5 patch
- ghost soname symlinks

Revision 1.51  2008/09/17 12:33:39  pluto
- use system-wide libmd5, release 9.

Revision 1.50  2007-04-16 17:26:40  qboosh
- removed extra nl

Revision 1.49  2007/04/10 19:58:09  qboosh
- enabled libwwwdav (--with-dav)
- updated link patch to fix libwwwdav linking
- avoid linking with librx
- release 8

Revision 1.48  2007/03/04 16:58:33  megabajt
- release 7

Revision 1.47  2007/02/12 22:09:19  glen
- tabs in preamble

Revision 1.46  2007/02/12 01:06:36  baggins
- converted to UTF-8

Revision 1.45  2006/11/09 21:13:36  glen
- strict internal deps

Revision 1.44  2006/10/01 00:43:14  arekm
- rel 5; fix as-needed build

Revision 1.43  2006/09/30 23:05:26  arekm
- rel 5

Revision 1.42  2006/08/09 19:37:33  arekm
- rel 4

Revision 1.41  2006/01/22 10:33:12  pluto
- release 3.

Revision 1.40  2006/01/21 00:01:17  arekm
- kill Icon: field (support for these is obsolete says jbj)

Revision 1.39  2005/06/13 16:18:04  zbyniu
- BR/R in -devel: expat-devel

Revision 1.38  2005/04/18 16:06:17  mmazur
- looks like as-needed breaks too much stuff; removing for now

Revision 1.37  2005/04/17 01:29:04  mmazur
- rel 2.1; quick workaround for --as-needed breakage; will fix later

Revision 1.36  2004/10/31 14:31:20  paladine
- spaces->tabs
- formatting

Revision 1.35  2004/03/19 23:46:39  ankry
- massive change: BR openssl-devel >= 0.9.7d

Revision 1.34  2004/01/23 10:32:47  jajcus
- Release: 2 (to rebuild on AMD64 and _tag_)

Revision 1.33  2003/10/23 19:21:42  ankry
- fixed md5

Revision 1.32  2003/10/23 17:13:56  qboosh
- up to 5.4.0
- updated ac25x,system-expat patches, removed obsolete nowarning patch
- added amfix patch for new *.am issues
- -devel R: openssl-devel, zlib-devel
- added ru,uk summaries/descriptions from KSI Linux

Revision 1.31  2003/09/30 20:18:36  eothane
- ahh, what the hell: openssl 0.9.7c

Revision 1.30  2003/08/30 13:17:21  mmazur
- rel 9 for ac

Revision 1.29  2003/06/13 10:48:22  qboosh
- added nowarning patch (remove warning from <HTXML.h>)
- release 8

Revision 1.28  2003/05/27 12:45:12  trojan
- added Source-md5

Revision 1.27  2003/05/25 06:27:47  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.26  2003/02/13 14:06:57  juandon
- force to use openssl >= 0.9.7, idea by kloczek

Revision 1.25  2003/01/25 14:40:30  qboosh
- added system-expat patch - use system expat (1.95.x) instead of providing
  own copies of old expat libraries (libxmltok and libxmlparse)
- release 7

Revision 1.24  2003/01/05 04:03:25  radek
- someone forgot to rebuild here after introducing use of the new %doc... ;-)

Revision 1.23  2002/12/02 11:06:28  ankry
- massive cleaning

Revision 1.22  2002/11/25 14:18:46  ankry
- massive attack: no need for 755 for *.la

Revision 1.21  2002/10/09 13:14:50  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.20  2002/06/23 20:32:37  kloczek
- perl -pi -e "s/^libtoolize --copy --force/\%\{__libtoolize\}/"

Revision 1.19  2002/05/21 23:14:54  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.18  2002/03/02 07:54:17  kloczek
- release 6,
- merge translations from Conectiva,
- added regenerate ac/am/lt files on build (added ac25x nad am15 patches),
- enable openssl and md5 support,
- added BuildRequires rules.

Revision 1.17  2002/02/22 23:29:57  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.16  2002/01/18 02:15:19  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.15  2001/12/28 09:47:07  qboosh
- updated to 5.3.2, updated %files, use configure2_13 - builds now
- removed obsolete DESTDIR patch

Revision 1.14  2001/11/23 15:10:12  qboosh
- / at the end of URL

Revision 1.13  2001/11/23 14:51:02  kloczek
- s/Copyright/License/

Revision 1.12  2001/10/10 13:19:55  qboosh
- adapterized, pl translations, BuildRequires: automake

Revision 1.11  2001/08/22 17:29:15  filon
- removed stripping executables, it's done by rpm automation

Revision 1.10  2000/09/20 16:25:49  zagrodzki
- updated to 5.3.1

Revision 1.9  2000/09/06 08:15:55  kloczek
- release 6.

Revision 1.8  2000/06/09 07:55:13  kloczek
- more %{__make} macros.

Revision 1.7  2000/06/09 07:24:01  kloczek
- added using %{__make} macro.

Revision 1.6  2000/05/21 16:44:10  kloczek
- spec adapterized.

Revision 1.5  2000/05/05 15:06:01  mis
- Group: synced with PLD groups

Revision 1.4  2000/04/01 11:15:56  zagrodzki
- changed all BuildRoot definitons
- removed all applnkdir defs
- changed some prereqs/requires
- removed duplicate empty lines

Revision 1.3  2000/03/28 16:55:08  baggins
- translated kloczkish into english

Revision 1.2  2000/02/07 18:23:25  kloczek
- completly rewrited in PLD style.
